# Elnu's NixOS configuration

### TODO

- Make rofi power menu work by removing password requirement from shutdown, reboot, etc., which is normally done with `visudo` (see [this Stack Overflow thread](https://askubuntu.com/a/168885) and [Nix `sudo` option](https://search.nixos.org/options?channel=22.05&from=0&size=50&sort=relevance&type=packages&query=sudo).
- Theme GRUB
- Load in vim configuration
- Install and setup service for yubioath-desktop
- Install Anthy IME for Japanese input
- Fix issue where wireless connection dies after suspend, even after restarting NetworkManager
- Fix screenshots
  - Fix adding screenshots to clipboard with `xclip`
    - Could be a system/user level issue? Try installing required packages without home manager
  - Get area selection screenshots working in i3 (currently only when manually run)
- Fix/map media keys (already declared within [`i3.nix`](i3.nix) but are non-functional
- Fix kitty bell disable not working
- Fix Nordic GTK theme not working in nautilus
- Add `wmctrl` as an explicit dependency of `rofi-power` instead of `rofi/default.nix`
- i3lock
  - Fix i3lock running restarting on i3 restart
  - Add `i3lock-colors` as an explicit dependency of `lock` instead of `i3.nix`
  - Add background resizing during system build step
    - Resizing `~/.background-image` to 1366x768 on ThinkPad seems to delay display of image
    - Using imagemagick to write to `~/.background-image` an appropriately-sized version of wallpaper
  - Customize ring colors
- Fix background squishing for polybar (use nautilus?)
- Fix Japanese fonts not working specifically in Discord
- Add Gruvbox, Catpuccin switching support
  - kitty theme is "Gruvbox Dark", [see the full list](https://github.com/kovidgoyal/kitty-themes/blob/master/themes.json).
- Prevent picom rounded borders from applying to polybar and smart gaps windows
